Name:          libmng
Version:       2.0.3
Release:       2mamba
Summary:       A library for handling MNG files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.libmng.com
Source:        https://downloads.sourceforge.net/sourceforge/libmng/%{name}-%{version}.tar.xz
License:       zlib/libpng
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
The libmng library supports decoding, displaying, encoding, and various other manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms), a color-management library by Marti Maria Saguar.

%package devel
Summary:       Development files for a library for handling MNG files
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The libmng library supports decoding, displaying, encoding, and various other manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms), a color-management library by Marti Maria Saguar.
This is the development package.

%debug_package

%prep
%setup -q

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# install man pages
install -D doc/man/libmng.3 %{buildroot}%{_mandir}/man3/libmng.3
install -D doc/man/mng.5 %{buildroot}%{_mandir}/man5/mng.5
install -D doc/man/jng.5 %{buildroot}%{_mandir}/man5/jng.5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmng.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/libmng*.h
%{_libdir}/libmng.so
%{_libdir}/libmng.a
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_libdir}/pkgconfig/libmng.pc

%changelog
* Sat May 25 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.3-2mamba
- rebuilt with debug package and specfile fixes

* Mon Apr 27 2015 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic update by autodist

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-3mamba
- rebuilt with libjpeg 8

* Tue Nov 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-2mamba
- rebuilt against libjpeg 7

* Tue Jun 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-1mamba
- update to 1.0.10

* Tue Nov 29 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.0.9-3qilnx
- specfile fixed
- license changed

* Tue Nov 29 2005 Massimo Pintore <massimo.pintore@qilinux.it> 1.0.9-2qilnx
- rebuilt using autotools

* Mon Nov 28 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1qilnx
- update to version 1.0.9 by autospec

* Wed May 21 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.0.5-1qilnx
- first build
